> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/feedback/create-feedback.md).

# Create feedback

## Create a new feedback entry

> Creates a feedback entry with attachments using multipart form data.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5843-g491c2e59"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/helpdesk/feedback":{"post":{"tags":["Feedback"],"summary":"Create a new feedback entry","description":"Creates a feedback entry with attachments using multipart form data.","parameters":[{"name":"feedback","in":"query","description":"Representation of the Feedback business object.","schema":{"allOf":[{"$ref":"#/components/schemas/FeedbackDelta"}]}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Feedback"},"encoding":{"file":{"style":"form"}}},"application/json":{"schema":{"$ref":"#/components/schemas/Feedback"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Feedback"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"FeedbackDelta":{"type":"object","properties":{"node":{"allOf":[{"$ref":"#/components/schemas/DeltaNode"}],"nullable":true},"path":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/Feedback"}],"nullable":true,"readOnly":true},"isDefined":{"type":"boolean","readOnly":true}},"additionalProperties":false},"DeltaNode":{"type":"object","properties":{"name":{"type":"string"},"children":{"type":"array","items":{"$ref":"#/components/schemas/DeltaNode"},"readOnly":true}},"additionalProperties":false},"Feedback":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","description":"Gets or sets the description associated with the feedback.","nullable":true},"requester":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"status":{"allOf":[{"$ref":"#/components/schemas/FeedbackStatus"}],"description":"Gets or sets the status associated with the feedback."},"rating":{"type":"integer","description":"Gets or sets the rating associated with the feedback.","format":"int32","nullable":true},"notes":{"type":"string","description":"Gets or sets the notes associated with the feedback.","nullable":true},"internalNotes":{"type":"string","description":"Gets or sets the internal notes associated with the feedback.","nullable":true},"externalId":{"type":"string","description":"Gets or sets the externalId associated with the feedback.","nullable":true},"metaData":{"description":"Gets the metadata as a JSON document (read-only).","nullable":true},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackAttachmentRef"},"description":"Represents the attachments associated with the feedback.","nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"FeedbackStatus":{"enum":["Submitted","Reviewed","Deleted"],"type":"string"},"FeedbackAttachmentRef":{"type":"object","properties":{"id":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"feedback":{"allOf":[{"$ref":"#/components/schemas/Feedback"}],"description":"Represents the feedback this attachment belongs to."},"file":{"allOf":[{"$ref":"#/components/schemas/File"}],"description":"Represents the file this attachment belongs to."},"name":{"type":"string","description":"Represents the name this attachment."},"description":{"type":"string","description":"Represents the description this attachment.","nullable":true}},"additionalProperties":false},"File":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/FileType"}],"description":"Specifies the type of the file, such as attachment or icon"},"filename":{"type":"string","description":"Represents the name of the file associated with the attachment."},"size":{"type":"integer","description":"Indicates the size of the file in bytes.","format":"int64","nullable":true},"contentType":{"type":"string","description":"Represents the MIME type of the file content."}},"additionalProperties":false,"description":"Represents a file in the helpdesk module"},"FileType":{"enum":["Attachment","Icon","Image","Video"],"type":"string"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/feedback/create-feedback.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
